FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::Constant< Type< TypeCategory::Character, KIND > > Class Template Reference
Inheritance diagram for Fortran::evaluate::Constant< Type< TypeCategory::Character, KIND > >:

## Public Types
using | Result = Type< TypeCategory::Character, KIND >
using | Element = Scalar< Result >

## Public Member Functions
| Constant (const Scalar< Result > &)
| Constant (Scalar< Result > &&)
| Constant (ConstantSubscript length, std::vector< Element > &&, ConstantSubscripts &&)
bool | operator== (const Constant &that) const
bool | empty () const
std::size_t | size () const
ConstantSubscript | LEN () const
std::optional< Scalar< Result > > | GetScalarValue () const
Scalar< Result > | At (const ConstantSubscripts &) const
Constant | Reshape (ConstantSubscripts &&) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
std::size_t | CopyFrom (const Constant &source, std::size_t count, ConstantSubscripts &resultSubscripts, const std::vector< int > *dimOrder)
Public Member Functions inherited from Fortran::evaluate::ConstantBounds
| ConstantBounds (const ConstantSubscripts &shape)
| ConstantBounds (ConstantSubscripts &&shape)
const ConstantSubscripts & | shape () const
const ConstantSubscripts & | lbounds () const
void | set_lbounds (ConstantSubscripts &&)
int | Rank () const
Constant< SubscriptInteger > | SHAPE () const
bool | IncrementSubscripts (ConstantSubscripts &, const std::vector< int > *dimOrder=nullptr) const

## Static Public Member Functions
static constexpr DynamicType | GetType ()

## Additional Inherited Members
Protected Member Functions inherited from Fortran::evaluate::ConstantBounds
ConstantSubscript | SubscriptsToOffset (const ConstantSubscripts &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/constant.h
- lib/Evaluate/constant.cpp
- lib/Evaluate/formatting.cpp